Get the open projects of your teams. An administrator gets all the open projects. Give name to get the project with exactly this name. The case must match. The metadata descriptors of each project are reduced to the ones your role on the project can read. Each project gives asset_type_workflows, the task type ids of the workflows it sets, by asset type id.
GET
/data/user/projects/open
curl
curl -X GET "http://api.example.com/data/user/projects/open?name=My%20Project" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/projects/open"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"name": "My Project"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Project",
"description": "A sample project",
"status": "Active",
"fps": 24.0,
"ratio": 969,
"resolution": "1920x1080",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]